> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attendu.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all events

> Retrieves accessible events with optional time-based filtering.



## OpenAPI

````yaml openapi.json get /v1/events
openapi: 3.0.1
info:
  title: Attendu API
  description: >-
    Event management API for programmatically managing events, guests, and
    related resources.
  license:
    name: MIT
  contact:
    email: support@attendu.com
  version: 1.0.4
servers:
  - url: https://{workspace}.attendu.com/api
    variables:
      workspace:
        default: demo
        description: Subdomain of your workspace in lower-case (eg. apple)
security:
  - api_key: []
tags:
  - name: Guests
    description: API for managing guests
  - name: Events
    description: API for managing events
paths:
  /v1/events:
    get:
      tags:
        - Events
      summary: List all events
      description: Retrieves accessible events with optional time-based filtering.
      parameters:
        - name: filter
          in: query
          description: Filter events by time frame (upcoming/past).
          schema:
            type: string
            enum:
              - upcoming
              - past
      responses:
        '200':
          description: Events retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/Event'
                  total:
                    type: integer
                    description: Total count of matching events
        '401':
          $ref: '#/components/responses/UnauthorizedError'
components:
  schemas:
    Event:
      type: object
      properties:
        _id:
          type: string
          description: Event ID
        general:
          type: object
          properties:
            title:
              type: string
              description: Title of the event
            startDate:
              type: string
              format: date-time
              description: Start date of the event
            endDate:
              type: string
              format: date-time
              description: End date of the event
            timezone:
              type: string
              default: Europe/London
              description: Timezone of the event
            location:
              type: object
              properties:
                placeName:
                  type: string
                  description: Name of the event location
                address:
                  type: string
                  description: Address of the event location
                city:
                  type: string
                  description: City of the event location
                zipCode:
                  type: string
                  description: Zip code of the event location
                country:
                  type: string
                  description: Country of the event location
            langs:
              type: array
              items:
                type: string
              description: Languages supported by the event
              example:
                - en
                - cs
            ticketing:
              type: object
              description: Ticketing configuration for the event
              properties:
                isEnabled:
                  type: boolean
                  default: false
                  description: Whether ticketing is enabled for the event
                currency:
                  type: string
                  enum:
                    - czk
                    - eur
                    - usd
                  description: Currency for the ticket price
                  example: czk
                taxRate:
                  type: object
                  description: Tax rate configuration for ticketing
                  properties:
                    isEnabled:
                      type: boolean
                      description: Whether tax is enabled for ticketing
                    type:
                      type: string
                      enum:
                        - vat
                        - salesTax
                        - gst
                      description: Type of tax applied to tickets
                    percentage:
                      type: number
                      description: Tax percentage applied to tickets
                      example: 21
                types:
                  type: array
                  description: Array of ticket types for the event
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Unique identifier for the ticket type
                      _cs:
                        type: object
                        properties:
                          name:
                            type: string
                            description: Czech name of the ticket type
                          description:
                            type: string
                            description: Czech description of the ticket type
                      _en:
                        type: object
                        properties:
                          name:
                            type: string
                            description: English name of the ticket type
                          description:
                            type: string
                            description: English description of the ticket type
                      isFree:
                        type: boolean
                        default: true
                        description: Whether the ticket type is free
                      priceExcludingTax:
                        type: number
                        default: 0
                        description: Price of the ticket type excluding tax
                      price:
                        type: number
                        default: 0
                        description: Price of the ticket type including tax
                      hasRestrictedVisibility:
                        type: boolean
                        description: Whether the ticket type has restricted visibility
                      visibleOnlyTo:
                        type: array
                        items:
                          type: string
                        description: >-
                          Array of group IDs or roles that can see this ticket
                          type
                      maxCapacity:
                        type: number
                        description: Maximum capacity for this ticket type
                hasPromoCodesEnabled:
                  type: boolean
                  default: false
                  example: true
                  description: Whether promo codes are enabled for the event ticketing.
                promoCodes:
                  type: array
                  description: Array of promo codes for ticket discounts.
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        description: Unique identifier for the promo code (nanoid, 8 chars)
                      name:
                        type: string
                        description: Name of the promo code (e.g. Internal discount)
                      amount:
                        type: number
                        description: Discount amount for the promo code.
                      code:
                        type: string
                        description: Promo code (6 chars, uppercase, A-Z0-9)
                      maxUses:
                        type: integer
                        description: Maximum number of times this promo code can be used.
                      usage:
                        type: array
                        description: Usage records for this promo code.
                        items:
                          type: object
                          properties:
                            buyerEmail:
                              type: string
                              description: Email of the buyer who used the promo code.
                            usedAt:
                              type: string
                              format: date-time
                              description: Date and time when the promo code was used.
                            stripePaymentIntent:
                              type: string
                              description: >-
                                Stripe payment intent ID associated with the
                                usage.
        guestlist:
          type: object
          properties:
            properties:
              type: array
              description: Guestlist properties including any custom properties
              items:
                type: object
                required:
                  - id
                  - type
                properties:
                  id:
                    type: string
                    description: Unique identifier for the property
                  type:
                    type: string
                    enum:
                      - text
                      - select
                      - multiSelect
                    description: Type of the property field
                  _cs:
                    type: object
                    properties:
                      name:
                        type: string
                        description: Czech localization of property name
                  _en:
                    type: object
                    properties:
                      name:
                        type: string
                        description: English localization of property name
                  options:
                    type: array
                    items:
                      type: object
                      required:
                        - id
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the option
                        _cs:
                          type: object
                          properties:
                            value:
                              type: string
                              description: Czech localization of option value
                        _en:
                          type: object
                          properties:
                            value:
                              type: string
                              description: English localization of option value
          example:
            properties:
              - id: yN9hzaCj
                type: select
                _cs:
                  name: Typ vstupenky
                _en:
                  name: Ticket type
                options:
                  - id: 1QLXYBlw
                    _cs:
                      value: VIP
                    _en:
                      value: VIP
                  - id: PCx9ruxP
                    _cs:
                      value: Standard
                    _en:
                      value: Standard
              - id: X62TkjiV
                type: text
                _cs:
                  name: Poznámka
                _en:
                  name: Note
                options: []
              - id: Ybb48GO7
                type: multiSelect
                _cs:
                  name: Zájmy
                _en:
                  name: Interests
                options:
                  - id: 7bR7m2au
                    _cs:
                      value: Technologie
                    _en:
                      value: Technology
                  - id: BdwYyYmi
                    _cs:
                      value: Byznys
                    _en:
                      value: Business
                  - id: 4igVHOnN
                    _cs:
                      value: Marketing
                    _en:
                      value: Marketing
        pages:
          type: object
          properties:
            activePage:
              type: string
              nullable: true
              description: ID of active event page (template)
        createdAt:
          type: string
          format: date-time
          description: Date and time when the event was created
        updatedAt:
          type: string
          format: date-time
          description: Date and time when the event was last updated
  responses:
    UnauthorizedError:
      description: Invalid or missing API key.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: integer
                example: 401
              message:
                type: string
                example: Invalid API key.
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: x-api-key

````